Debian Bug report logs - #490265
lynx-cur should be called lynx; ditch lynx transition package

version graph

Packages: lynx, lynx-cur; Maintainer for lynx is Atsuhito KOHDA <kohda@debian.org>; Source for lynx is src:lynx-cur. Maintainer for lynx-cur is Atsuhito KOHDA <kohda@debian.org>; Source for lynx-cur is src:lynx-cur.

Reported by: Don Armstrong <don@donarmstrong.com>

Date: Mon, 29 May 2006 14:48:02 UTC

Severity: wishlist

Found in versions 2.8.7dev9-1.1, lynx-cur/2.8.8dev.5-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#369386; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@debian.org>:
New Bug report received and forwarded. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Separate lynx-cur package should probably not be included in Etch
Date: Mon, 29 May 2006 15:46:53 +0200
Package: lynx-cur
Severity: serious

lynx-cur ships a complete copy of lynx in version 2.8.6 compared to the
regular 2.8.5 package. Given the minor difference and that lynx isn't
one of the most important packages this seems hardly justified (compared
for PHP 4 and 5, e.g.).

As lynx is frequently subject to security problems, this causes a maintenance
overhead for security support. Unless there's a compelling reason, which
makes lynx-cur especially interesting for Etch, it should be removed from
the stable release and only maintained in sid.

Cheers,
        Moritz

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-1-686
Locale: LANG=C, LC_CTYPE=de_DE.ISO-8859-15@euro (charmap=ISO-8859-15)



Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#369386; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #10 received at 369386@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 369386@bugs.debian.org
Subject: re: #369386 Separate lynx-cur package should probably not be included in Etch
Date: Mon, 29 May 2006 16:09:26 -0400
[Message part 1 (text/plain, inline)]
hmm - "frequent" is far from the truth, since it would imply that the other
browsers have noticably fewer serious defects.  Each time there's a security
report against lynx, it's one of a class of defects that affects several.

(If you have some facts, rather than opinion, I'm curious - google doesn't
show me any instances).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Severity set to `normal' from `serious' Request was from Mario Iseli <admin@marioiseli.com> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Moritz Muehlenhoff <jmm@debian.org>:
Bug#369386. Full text and rfc822 format available.

Message #15 received at 369386-submitter@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: 369386-submitter@bugs.debian.org
Cc: kohda@pm.tokushima-u.ac.jp
Subject: Re: Bug#369386: #369386 Separate lynx-cur package should probably not be included in Etch
Date: Tue, 30 May 2006 08:02:47 +0900 (JST)
Hi, a reply from upstream author.  I forwarded it to
a submitter so that the submitter would read it.

On Mon, 29 May 2006 16:09:26 -0400, Thomas Dickey wrote:

> hmm - "frequent" is far from the truth, since it would imply that the other
> browsers have noticably fewer serious defects.  Each time there's a security
> report against lynx, it's one of a class of defects that affects several.
> 
> (If you have some facts, rather than opinion, I'm curious - google doesn't
> show me any instances).
> 
> -- 
> Thomas E. Dickey <dickey@invisible-island.net>
> http://invisible-island.net
> ftp://invisible-island.net

Regards,			2006-5-30(Tue)

-- 
 Debian Developer & Debian JP Developer - much more I18N of Debian
 Atsuhito Kohda <kohda@debian.org>
 Department of Math., Univ. of Tokushima



Information stored:
Bug#369386; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #20 received at 369386-quiet@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>, 369386-quiet@bugs.debian.org
Cc: dickey@his.com
Subject: Re: Bug#369386: #369386 Separate lynx-cur package should probably not be included in Etch
Date: Tue, 30 May 2006 10:10:41 +0200
Atsuhito Kohda wrote:
> Thomas Dickey wrote:
> > hmm - "frequent" is far from the truth, since it would imply that the other
> > browsers have noticably fewer serious defects.  Each time there's a security
> > report against lynx, it's one of a class of defects that affects several.
> > 
> > (If you have some facts, rather than opinion, I'm curious - google doesn't
> > show me any instances).

> Hi, a reply from upstream author.  I forwarded it to
> a submitter so that the submitter would read it.

lynx has had about one security problem per year over the recent years, which is
fine for a web browser.
The problem, is that two versions of lynx are about to be included in Etch,
which doubles the work load for fixing security issues in lynx.  Almost every
package in Debian has an unstable developer version, yet only very few are
packaged separately. I'd like to know why lynx needs special treatment and why
an unstable developer version needs to be included in a stable release.

Cheers,
        Moritz



Information stored:
Bug#369386; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #25 received at 369386-quiet@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>, 369386-quiet@bugs.debian.org
Subject: Re: Bug#369386: #369386 Separate lynx-cur package should probably not be included in Etch
Date: Tue, 30 May 2006 05:58:17 -0400 (EDT)
On Tue, 30 May 2006, Moritz Muehlenhoff wrote:

> Atsuhito Kohda wrote:
>> Thomas Dickey wrote:
>>> hmm - "frequent" is far from the truth, since it would imply that the other
>>> browsers have noticably fewer serious defects.  Each time there's a security
>>> report against lynx, it's one of a class of defects that affects several.
>>>
>>> (If you have some facts, rather than opinion, I'm curious - google doesn't
>>> show me any instances).
>
>> Hi, a reply from upstream author.  I forwarded it to
>> a submitter so that the submitter would read it.
>
> lynx has had about one security problem per year over the recent years, which is
> fine for a web browser.
> The problem, is that two versions of lynx are about to be included in Etch,
> which doubles the work load for fixing security issues in lynx.  Almost every
> package in Debian has an unstable developer version, yet only very few are
> packaged separately. I'd like to know why lynx needs special treatment and why
> an unstable developer version needs to be included in a stable release.

The so-called stable version is the one to drop, then, since it hsn't been 
recommended for more than a year.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#369386; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #30 received at 369386@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Moritz Muehlenhoff <jmm@debian.org>, 369386@bugs.debian.org
Subject: Re: Bug#369386: Separate lynx-cur package should probably not be included in Etch
Date: Thu, 1 Jun 2006 06:37:39 -0400
[Message part 1 (text/plain, inline)]
On Mon, May 29, 2006 at 05:00:25PM +0200, Moritz Muehlenhoff wrote:
> Package: lynx-cur
> Severity: serious
...
> As lynx is frequently subject to security problems, this causes a maintenance

"frequently" has been dealt with - not applicable

btw - just to repeat myself:  the CVE that's most recent in your memory
was from a report that also noted that the various flavors of links
break.  It's possible that I could have overlooked a fix there, but I've
seen no fixes whatsoever for links.

Adding to the miscrediting on the security advisory this gives me a generally
poor attitude toward Debian's security team.

(looking forward to some constructive cricitism)

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#369386; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #35 received at 369386@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: 369386@bugs.debian.org
Cc: control@bugs.debian.org
Subject: lynx/lynx-cur
Date: Sun, 19 Nov 2006 14:06:04 +0100
severity 369386 grave
thanks

Hi,
396949/396964 are yet another symptom of the problem described here.
I also noticed someone has silently downgraded the severity without
an explanation; that's not a proper way to deal with an RC bug.

Given that upstream wrote in the buglog
| The so-called stable version is the one to drop, then, since it
| hsn't been recommended for more than a year.
the proper fix seems to be to update lynx to the version from
lynx-cur and remove lynx-cur from Etch.

Cheers,
        Moritz



Severity set to `grave' from `normal' Request was from Moritz Muehlenhoff <jmm@inutil.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#369386; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #42 received at 369386@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: jmm@inutil.org, 369386@bugs.debian.org
Subject: Re: Bug#369386: lynx/lynx-cur
Date: Mon, 20 Nov 2006 12:51:52 +0900 (JST)
On Sun, 19 Nov 2006 14:06:04 +0100, Moritz Muehlenhoff wrote:

> severity 369386 grave
> thanks

Do you really undestand the meaning of severity "grave"?

   grave
          makes the package in question unusable or mostly so, or causes
          data loss, or introduces a security hole allowing access to the
          accounts of users who use the package.

I don't see any point which verifies the problem to be grave.

But I guess it is too childish to downgrade the serity now
and will wait your reply for a while.

> Given that upstream wrote in the buglog
> | The so-called stable version is the one to drop, then, since it
> | hsn't been recommended for more than a year.
> the proper fix seems to be to update lynx to the version from
> lynx-cur and remove lynx-cur from Etch.

I suspect you might misunderstand the upstream's intention.

Regards,			  2006-11-20(Mon)

-- 
 Debian Developer & Debian JP Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima



Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#369386; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #47 received at 369386@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Moritz Muehlenhoff <jmm@inutil.org>, 369386@bugs.debian.org
Subject: Re: Bug#369386: lynx/lynx-cur
Date: Mon, 20 Nov 2006 09:14:33 -0500
[Message part 1 (text/plain, inline)]
On Sun, Nov 19, 2006 at 02:30:20PM +0100, Moritz Muehlenhoff wrote:
> severity 369386 grave
> thanks
> 
> Hi,
> 396949/396964 are yet another symptom of the problem described here.
> I also noticed someone has silently downgraded the severity without
> an explanation; that's not a proper way to deal with an RC bug.
> 
> Given that upstream wrote in the buglog
> | The so-called stable version is the one to drop, then, since it
> | hsn't been recommended for more than a year.
> the proper fix seems to be to update lynx to the version from
> lynx-cur and remove lynx-cur from Etch.

Merge the bug-reports (there's little duplication), and note that lynx-cur's
package maintainer is active, while it's been quite a while since I noticed
any activity from lynx's package maintainer.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#369386; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@debian.org>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #52 received at 369386@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@debian.org>
To: Thomas Dickey <dickey@radix.net>
Cc: Moritz Muehlenhoff <jmm@inutil.org>, 369386@bugs.debian.org, james@nocrew.org
Subject: Re: Bug#369386: lynx/lynx-cur
Date: Mon, 20 Nov 2006 19:29:02 +0100
[CCing James Troup, the lynx maintainer]

On Mon, Nov 20, 2006 at 09:14:33AM -0500, Thomas Dickey wrote:
> On Sun, Nov 19, 2006 at 02:30:20PM +0100, Moritz Muehlenhoff wrote:
> > severity 369386 grave
> > thanks
> > 
> > Hi,
> > 396949/396964 are yet another symptom of the problem described here.
> > I also noticed someone has silently downgraded the severity without
> > an explanation; that's not a proper way to deal with an RC bug.
> > 
> > Given that upstream wrote in the buglog
> > | The so-called stable version is the one to drop, then, since it
> > | hsn't been recommended for more than a year.
> > the proper fix seems to be to update lynx to the version from
> > lynx-cur and remove lynx-cur from Etch.
> 
> Merge the bug-reports (there's little duplication), and note that lynx-cur's
> package maintainer is active, while it's been quite a while since I noticed
> any activity from lynx's package maintainer.

The lynx maintainer carries many core responsibilities inside Debian, so
this appears to be the best solution. James, as lynx upstream Thomas Dickey
agrees that the version from lynx-cur should replace the regular lynx and
as you have a lot of work with FTP mastering, DAM and debian-admin, it
appears to be a good solution to go along this path and co-maintain lynx
along with lynx-cur maintainer Atsuhito KOHDA or pass maintenance to him
entirely?

Cheers,
        Moritz



Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#369386; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #57 received at 369386@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: jmm@inutil.org, 369386@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#369386: lynx/lynx-cur
Date: Wed, 22 Nov 2006 07:51:47 +0900 (JST)
severity 369386 wishlist
thanks

On Mon, 20 Nov 2006 12:51:52 +0900 (JST), Atsuhito Kohda wrote:

> I don't see any point which verifies the problem to be grave.

I think this is a wishlist bug.

Regards,			2006-11-22(Wed)

-- 
 Debian Developer & Debian JP Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima



Severity set to `wishlist' from `grave' Request was from Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#369386; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #64 received at 369386@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: control@bugs.debian.org
Cc: 369386@bugs.debian.org
Subject: reassign 369386 to lynx,lynx-cur ..., severity of 369386 is serious
Date: Tue, 01 Jan 2008 23:43:36 +0100
# Automatically generated email from bts, devscripts version 2.10.11
reassign 369386 lynx,lynx-cur 
retitle 369386 Please work together on lynx and request the removal of lynx-cur
# Its a RC issue by definition as its a Release Manager who decided that it is...
severity 369386 serious





Bug reassigned from package `lynx-cur' to `lynx,lynx-cur'. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Tue, 01 Jan 2008 23:21:03 GMT) Full text and rfc822 format available.

Changed Bug title to `Please work together on lynx and request the removal of lynx-cur' from `Separate lynx-cur package should probably not be included in Etch'. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Tue, 01 Jan 2008 23:21:03 GMT) Full text and rfc822 format available.

Severity set to `serious' from `wishlist' Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Tue, 01 Jan 2008 23:21:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, warp@debian.org (Zephaniah E. Hull), Atsuhito KOHDA <kohda@debian.org>:
Bug#369386; Package lynx,lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to warp@debian.org (Zephaniah E. Hull), Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #75 received at 369386@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: luk@debian.org, 369386@bugs.debian.org
Cc: jmm@inutil.org, james@nocrew.org, warp@debian.org
Subject: Re: Bug#369386: reassign 369386 to lynx,lynx-cur ..., severity of 369386 is serious
Date: Fri, 04 Jan 2008 09:47:56 +0900 (JST)
Hi all,

On Tue, 01 Jan 2008 23:43:36 +0100, Luk Claes wrote:

> # Automatically generated email from bts, devscripts version 2.10.11

Automatically? without any decent or reasonable explanation 
at all?

> # Its a RC issue by definition as its a Release Manager 
> who decided that it is...

So I'd like to know who is really responsible and what is 
the reason for this decision.  

And I doubt you guys (who?) really read the Bug#369386 thread, 
for example, the following email:

On Mon, 20 Nov 2006 19:29:02 +0100, Moritz Muehlenhoff wrote:

> The lynx maintainer carries many core responsibilities inside Debian, so
> this appears to be the best solution. James, as lynx upstream Thomas Dickey
> agrees that the version from lynx-cur should replace the regular lynx and
> as you have a lot of work with FTP mastering, DAM and debian-admin, it
> appears to be a good solution to go along this path and co-maintain lynx
> along with lynx-cur maintainer Atsuhito KOHDA or pass maintenance to him
> entirely?

I didn't get any response from anyone and now find that 
a maintainer of lynx has changed to Zephaniah.

I'm very puzzled at present but I'd like to know how I can 
fix the bug in a decent manner.

Is there anyone who can enlighten me?

Regards, 	    		  2008-1-4(Fri)

-- 
 Debian Developer & Debian JP Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Information forwarded to debian-bugs-dist@lists.debian.org, warp@debian.org (Zephaniah E. Hull), Atsuhito KOHDA <kohda@debian.org>:
Bug#369386; Package lynx,lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to warp@debian.org (Zephaniah E. Hull), Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #80 received at 369386@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>, 369386@bugs.debian.org
Cc: jmm@inutil.org, james@nocrew.org, warp@debian.org
Subject: Re: Bug#369386: reassign 369386 to lynx,lynx-cur ..., severity of 369386 is serious
Date: Fri, 04 Jan 2008 08:13:58 +0100
Atsuhito Kohda wrote:
> Hi all,
> 
> On Tue, 01 Jan 2008 23:43:36 +0100, Luk Claes wrote:
> 
>> # Automatically generated email from bts, devscripts version 2.10.11
> 
> Automatically? without any decent or reasonable explanation 
> at all?
> 
>> # Its a RC issue by definition as its a Release Manager 
>> who decided that it is...
> 
> So I'd like to know who is really responsible and what is 
> the reason for this decision.  
> 
> And I doubt you guys (who?) really read the Bug#369386 thread, 
> for example, the following email:
> 
> On Mon, 20 Nov 2006 19:29:02 +0100, Moritz Muehlenhoff wrote:
> 
>> The lynx maintainer carries many core responsibilities inside Debian, so
>> this appears to be the best solution. James, as lynx upstream Thomas Dickey
>> agrees that the version from lynx-cur should replace the regular lynx and
>> as you have a lot of work with FTP mastering, DAM and debian-admin, it
>> appears to be a good solution to go along this path and co-maintain lynx
>> along with lynx-cur maintainer Atsuhito KOHDA or pass maintenance to him
>> entirely?
> 
> I didn't get any response from anyone and now find that 
> a maintainer of lynx has changed to Zephaniah.
> 
> I'm very puzzled at present but I'd like to know how I can 
> fix the bug in a decent manner.
> 
> Is there anyone who can enlighten me?

Hmm, how hard would it be to talk to Zephaniah and just cooperate on the
package?

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org, warp@debian.org (Zephaniah E. Hull), Atsuhito KOHDA <kohda@debian.org>:
Bug#369386; Package lynx,lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
Extra info received and forwarded to list. Copy sent to warp@debian.org (Zephaniah E. Hull), Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #85 received at 369386@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@downhill.at.eu.org>
To: 369386@bugs.debian.org
Subject: Re: Bug#369386: reassign 369386 to lynx,lynx-cur ..., severity of 369386 is serious
Date: Sat, 19 Apr 2008 17:14:28 +0200
On 2008-01-04 Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp> wrote:
[...]
> I'm very puzzled at present but I'd like to know how I can 
> fix the bug in a decent manner.

> Is there anyone who can enlighten me?

Hello,

the situation seems to be rather simple:

Currently we have two versions of lynx in unstable. Debian-Security is
not very happy about this. On top of that upstream tells us that the
version shipped in the package "lynx" is outdated and that only
lynx-cur should be shipped:

------------------------------------------------
| From: Thomas Dickey <dickey@his.com>
| To: Moritz Muehlenhoff <jmm@inutil.org>
| Cc: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>, 369386-quiet@bugs.debian.org
| Subject: Re: Bug#369386: #369386 Separate lynx-cur package should probably
|  not be included in Etch
| Date: Tue, 30 May 2006 05:58:17 -0400 (EDT)
| 
| On Tue, 30 May 2006, Moritz Muehlenhoff wrote:
| [...]
| > The problem, is that two versions of lynx are about to be included in
| > Etch, which doubles the work load for fixing security issues in lynx.
| > Almost every package in Debian has an unstable developer version, yet
| > only very few are packaged separately. I'd like to know why lynx needs
| > special treatment and why an unstable developer version needs to be
| > included in a stable release.
| 
| The so-called stable version is the one to drop, then, since it hsn't been 
| recommended for more than a year.
------------------------------------------------

So we should not have a package lynx-cur in sid, and the package lynx
should be at version 2.8.7dev.8. You'll need to arrange between you
two how to get this done.
cu andreas
-- 
`What a good friend you are to him, Dr. Maturin. His other friends are
so grateful to you.'
`I sew his ears on from time to time, sure'




Information forwarded to debian-bugs-dist@lists.debian.org, warp@debian.org (Zephaniah E. Hull), Atsuhito KOHDA <kohda@debian.org>:
Bug#369386; Package lynx,lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to warp@debian.org (Zephaniah E. Hull), Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #90 received at 369386@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: ametzler@downhill.at.eu.org, 369386@bugs.debian.org
Cc: luk@debian.org, warp@debian.org, jmm@inutil.org
Subject: Re: Bug#369386: reassign 369386 to lynx,lynx-cur ..., severity of 369386 is serious
Date: Mon, 21 Apr 2008 11:48:32 +0900 (JST)
Hi Andreas and all,

On Sat, 19 Apr 2008 17:14:28 +0200, Andreas Metzler wrote:

> the situation seems to be rather simple:

Might be so but it looks to me that simple situation
is not understood correctly.  I almost lost motivation
to argue this issue any more.  But anyway;

> On top of that upstream tells us that the
> version shipped in the package "lynx" is outdated and that only
> lynx-cur should be shipped:

from the above,

> So we should not have a package lynx-cur in sid, and the package lynx
> should be at version 2.8.7dev.8.

it is natural or reasonable for me to concluse, we should 
not have a package lynx in sid.

> You'll need to arrange between you
> two how to get this done.

lynx and lynx-cur are maintained for quite a long time
independently and I don't think I need any co-maintenace
with lynx-cur at present.  Further, 

On Fri, 04 Jan 2008 08:13:58 +0100, Luk Claes wrote:

> >> The lynx maintainer carries many core responsibilities inside Debian, so
> >> this appears to be the best solution. James, as lynx upstream Thomas Dickey
> >> agrees that the version from lynx-cur should replace the regular lynx and
> >> as you have a lot of work with FTP mastering, DAM and debian-admin, it
> >> appears to be a good solution to go along this path and co-maintain lynx
> >> along with lynx-cur maintainer Atsuhito KOHDA or pass maintenance to him
> >> entirely?
> > 
> > I didn't get any response from anyone and now find that 
> > a maintainer of lynx has changed to Zephaniah.

> Hmm, how hard would it be to talk to Zephaniah and just cooperate on the
> package?

I'd like to say, how hard would it be for James to drop
me a short note regarding this at that time.

In fact, I've filed bug reports to lynx in the past but 
never (really never!) got any rely from maintainers.

On Fri, 4 Jan 2008 08:50:19 +0100, Moritz Muehlenhoff wrote:

> E.g. you could either adopt lynx-cur as the standard lynx
> (since it's apparently stable enough), cherry-pick important
> patches into lynx or maintain lynx-cur only in experimental.

Umm, saying it is stable enough and you advised to put it
in experimental?  This sounds to me very self-contradicting.

If you all think it is enough to update lynx to the
current version (and a maintainer keeps it in the latest
version), it's okay for me now (sigh).

But if I'm allowed to advice, it will be better to use
the package name lynx-cur because it is the name of the 
upstream source.

Zephaniah, I'd like to hear your opinion if possible.

If my mail sounds unpleasant, it is not my intention
but it is because my English ability prevents me from
expressing my feeling correctly enough in Englisy ;-)

Regards,       	       	    	 2008-4-21(Mon)

-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Information forwarded to debian-bugs-dist@lists.debian.org, warp@debian.org (Zephaniah E. Hull), Atsuhito KOHDA <kohda@debian.org>:
Bug#369386; Package lynx,lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
Extra info received and forwarded to list. Copy sent to warp@debian.org (Zephaniah E. Hull), Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #95 received at 369386@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@downhill.at.eu.org>
To: 369386@bugs.debian.org
Subject: Re: Bug#369386: reassign 369386 to lynx,lynx-cur ..., severity of 369386 is serious
Date: Mon, 21 Apr 2008 20:10:01 +0200
On 2008-04-21 Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp> wrote:
> On Sat, 19 Apr 2008 17:14:28 +0200, Andreas Metzler wrote:

> > the situation seems to be rather simple:

> Might be so but it looks to me that simple situation
> is not understood correctly.  I almost lost motivation
> to argue this issue any more.  But anyway;

> > On top of that upstream tells us that the
> > version shipped in the package "lynx" is outdated and that only
> > lynx-cur should be shipped:

> from the above,

> > So we should not have a package lynx-cur in sid, and the package lynx
> > should be at version 2.8.7dev.8.

> it is natural or reasonable for me to concluse, we should 
> not have a package lynx in sid.

Hello,

well if we have a single version of lynx in the archive, calling the
package lynx-cur instead of simply lynx seems wrong. (If there is good
reason I just do not know it, but I might be wrong.) I did not intend
to say who should package it.

> > You'll need to arrange between you
> > two how to get this done.

> lynx and lynx-cur are maintained for quite a long time
> independently and I don't think I need any co-maintenace
> with lynx-cur at present.  Further, 
[...]
> But if I'm allowed to advice, it will be better to use
> the package name lynx-cur because it is the name of the 
> upstream source.

The binary is still called lynx, isn't it? Shouldn't "apt-get install
lynx" simply work? How about naming the source package lynx-cur and
the binary lynx?

> Zephaniah, I'd like to hear your opinion if possible.

The hijack of lynx was strange, two uploads, then quietness. 
http://packages.qa.debian.org/l/lynx/news/20070501T061703Z.html

> If my mail sounds unpleasant, it is not my intention
> but it is because my English ability prevents me from
> expressing my feeling correctly enough in Englisy ;-)

AOL!

cu andreas
-- 
`What a good friend you are to him, Dr. Maturin. His other friends are
so grateful to you.'
`I sew his ears on from time to time, sure'




Information forwarded to debian-bugs-dist@lists.debian.org, warp@debian.org (Zephaniah E. Hull), Atsuhito KOHDA <kohda@debian.org>:
Bug#369386; Package lynx,lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to "Zephaniah E. Hull" <warp@aehallh.com>:
Extra info received and forwarded to list. Copy sent to warp@debian.org (Zephaniah E. Hull), Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #100 received at 369386@bugs.debian.org (full text, mbox):

From: "Zephaniah E. Hull" <warp@aehallh.com>
To: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
Cc: ametzler@downhill.at.eu.org, 369386@bugs.debian.org, luk@debian.org, jmm@inutil.org
Subject: Re: Bug#369386: reassign 369386 to lynx,lynx-cur ..., severity of 369386 is serious
Date: Tue, 22 Apr 2008 20:46:15 -0400
Hi Atsuhito, and everyone else.

On Mon, Apr 21, 2008 at 11:48:32AM +0900, Atsuhito Kohda wrote:
> Hi Andreas and all,
> 
> On Sat, 19 Apr 2008 17:14:28 +0200, Andreas Metzler wrote:
> 
> > the situation seems to be rather simple:
> 
> Might be so but it looks to me that simple situation
> is not understood correctly.  I almost lost motivation
> to argue this issue any more.  But anyway;
> 
> > On top of that upstream tells us that the
> > version shipped in the package "lynx" is outdated and that only
> > lynx-cur should be shipped:
> 
> from the above,
> 
> > So we should not have a package lynx-cur in sid, and the package lynx
> > should be at version 2.8.7dev.8.
> 
> it is natural or reasonable for me to concluse, we should 
> not have a package lynx in sid.

Actually, I'd suggest a very slightly different approach.
> 
> > You'll need to arrange between you
> > two how to get this done.
> 
> lynx and lynx-cur are maintained for quite a long time
> independently and I don't think I need any co-maintenace
> with lynx-cur at present.  Further, 

No objections there.
> 
> On Fri, 04 Jan 2008 08:13:58 +0100, Luk Claes wrote:
> 
> > >> The lynx maintainer carries many core responsibilities inside Debian, so
> > >> this appears to be the best solution. James, as lynx upstream Thomas Dickey
> > >> agrees that the version from lynx-cur should replace the regular lynx and
> > >> as you have a lot of work with FTP mastering, DAM and debian-admin, it
> > >> appears to be a good solution to go along this path and co-maintain lynx
> > >> along with lynx-cur maintainer Atsuhito KOHDA or pass maintenance to him
> > >> entirely?
> > > 
> > > I didn't get any response from anyone and now find that 
> > > a maintainer of lynx has changed to Zephaniah.
> 
> > Hmm, how hard would it be to talk to Zephaniah and just cooperate on the
> > package?
> 
> I'd like to say, how hard would it be for James to drop
> me a short note regarding this at that time.
> 
> In fact, I've filed bug reports to lynx in the past but 
> never (really never!) got any rely from maintainers.

My fault on the more recent ones, but James wasn't much better, so, meh.
> 
> On Fri, 4 Jan 2008 08:50:19 +0100, Moritz Muehlenhoff wrote:
> 
> > E.g. you could either adopt lynx-cur as the standard lynx
> > (since it's apparently stable enough), cherry-pick important
> > patches into lynx or maintain lynx-cur only in experimental.
> 
> Umm, saying it is stable enough and you advised to put it
> in experimental?  This sounds to me very self-contradicting.
> 
> If you all think it is enough to update lynx to the
> current version (and a maintainer keeps it in the latest
> version), it's okay for me now (sigh).
> 
> But if I'm allowed to advice, it will be better to use
> the package name lynx-cur because it is the name of the 
> upstream source.
> 
> Zephaniah, I'd like to hear your opinion if possible.
> 
> If my mail sounds unpleasant, it is not my intention
> but it is because my English ability prevents me from
> expressing my feeling correctly enough in Englisy ;-)

First, a note on the hijack of lynx some time back.

Basicly, it was unmaintained and had not had an upload in ages, so it
got one, then another.

And then, er, I got a new job and have not had free time for over six
months, somewhere in there I should have probably asked for another
maintainer, or something of the like.

As far as the current status goes, I have no objection to the package
currently known as lynx going away, as long as a lynx package continues
to exist and gets enough attention to not be a security risk.

That said, whichever package name goes away, we need a transition
package that depends on the other, at least for Lenny and maybe for
Lenny+1.  The argument for lynx-cur being the same as upstream makes
sense, but so does 'apt-get install lynx' and 'the binary name is lynx'.

I'd be happy to try and coordinate on this, but I don't have much more
free time now then I have had for the past several months.

So, my vote is for removal of the package currently known as lynx, with
the current lynx-cur package taking it's place in one form or another.

If you need this gpg signed, I can do so, but it's a slight pain to do
with my current configuration.

(My mail client is no longer running on a box I trust to hold my gpg
key.  I should find the time to fix that someday.)

Zephaniah E. Hull.
> 
> Regards,       	       	    	 2008-4-21(Mon)
> 
> -- 
>  Debian Developer - much more I18N of Debian
>  Atsuhito Kohda <kohda AT debian.org>
>  Department of Math., Univ. of Tokushima
> 

-- 




Information forwarded to debian-bugs-dist@lists.debian.org, warp@debian.org (Zephaniah E. Hull), Atsuhito KOHDA <kohda@debian.org>:
Bug#369386; Package lynx,lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to warp@debian.org (Zephaniah E. Hull), Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #105 received at 369386@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: warp@aehallh.com, 369386@bugs.debian.org
Cc: ametzler@downhill.at.eu.org, luk@debian.org, jmm@inutil.org
Subject: Re: Bug#369386: reassign 369386 to lynx,lynx-cur ..., severity of 369386 is serious
Date: Thu, 24 Apr 2008 13:53:51 +0900 (JST)
On Tue, 22 Apr 2008 20:46:15 -0400, "Zephaniah E. Hull" wrote:

> Hi Atsuhito, and everyone else.

Hi Zephaniah, thanks for your reply.  I'm very glad to
see your reply.

I'd like to keep silence for a while ;-)

Regards,			2008-4-24(Thu)

-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Information forwarded to debian-bugs-dist@lists.debian.org, warp@debian.org (Zephaniah E. Hull), Atsuhito KOHDA <kohda@debian.org>:
Bug#369386; Package lynx,lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
Extra info received and forwarded to list. Copy sent to warp@debian.org (Zephaniah E. Hull), Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #110 received at 369386@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@downhill.at.eu.org>
To: 369386@bugs.debian.org, luk@debian.org, jmm@inutil.org
Subject: Re: Bug#369386: reassign 369386 to lynx,lynx-cur ..., severity of 369386 is serious
Date: Sun, 18 May 2008 15:41:02 +0200
On 2008-04-23 "Zephaniah E. Hull" <warp@aehallh.com> wrote:
> On Mon, Apr 21, 2008 at 11:48:32AM +0900, Atsuhito Kohda wrote:
>> On Sat, 19 Apr 2008 17:14:28 +0200, Andreas Metzler wrote:
[...]
>>> So we should not have a package lynx-cur in sid, and the package lynx
>>> should be at version 2.8.7dev.8.

>> it is natural or reasonable for me to concluse, we should 
>> not have a package lynx in sid.

> Actually, I'd suggest a very slightly different approach.

[...]
>> If you all think it is enough to update lynx to the
>> current version (and a maintainer keeps it in the latest
>> version), it's okay for me now (sigh).

>> But if I'm allowed to advice, it will be better to use
>> the package name lynx-cur because it is the name of the 
>> upstream source.
[...]
> As far as the current status goes, I have no objection to the package
> currently known as lynx going away, as long as a lynx package continues
> to exist and gets enough attention to not be a security risk.

> That said, whichever package name goes away, we need a transition
> package that depends on the other, at least for Lenny and maybe for
> Lenny+1.  The argument for lynx-cur being the same as upstream makes
> sense, but so does 'apt-get install lynx' and 'the binary name is lynx'.
[...]
> So, my vote is for removal of the package currently known as lynx, with
> the current lynx-cur package taking it's place in one form or another.
[...]

Hello,

it looks like everybody can agree that that the "lynx" sourcepackage
is removed and the "lynx-cur" one stays, the only open thing is
the name of the binary package. - Either the binary package is named
lynx and we get a empty dummy package lynx-cur depending on it or the
other way round.

I think that is going to be the maintainer's choice (Atsuhito), since
he will get flamed for it. ;-)

I have thought about providing a patch since neither lynx nor lynx-cur
could be shipped with lenny currently. However to things have stopped
me:

* The choice above needs to made first.
* The existance of lynx-cur-wrapper. This package makes the whole
  alternatives handling more complicated and I do not think it can
  be part of Debian at all. (481774 481778).

cu andreas

-- 
`What a good friend you are to him, Dr. Maturin. His other friends are
so grateful to you.'
`I sew his ears on from time to time, sure'




Information forwarded to debian-bugs-dist@lists.debian.org, warp@debian.org (Zephaniah E. Hull), Atsuhito KOHDA <kohda@debian.org>:
Bug#369386; Package lynx,lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to warp@debian.org (Zephaniah E. Hull), Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #115 received at 369386@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: ametzler@downhill.at.eu.org, 369386@bugs.debian.org
Cc: luk@debian.org, jmm@inutil.org
Subject: Re: Bug#369386: reassign 369386 to lynx,lynx-cur ..., severity of 369386 is serious
Date: Mon, 19 May 2008 22:14:23 +0900 (JST)
On Sun, 18 May 2008 15:41:02 +0200, Andreas Metzler wrote:

> * The existance of lynx-cur-wrapper. This package makes the whole
>   alternatives handling more complicated and I do not think it can
>   be part of Debian at all. (481774 481778).

Please refer to
http://lists.gnu.org/archive/html/lynx-dev/2007-04/msg00040.html
this might explain something for you.

     	   	   	     	 2008-5-19(Mon)
-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Information forwarded to debian-bugs-dist@lists.debian.org, warp@debian.org (Zephaniah E. Hull), Atsuhito KOHDA <kohda@debian.org>:
Bug#369386; Package lynx,lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to warp@debian.org (Zephaniah E. Hull), Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #120 received at 369386@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: ametzler@downhill.at.eu.org, 369386@bugs.debian.org
Cc: luk@debian.org, jmm@inutil.org
Subject: Re: Bug#369386: reassign 369386 to lynx,lynx-cur ..., severity of 369386 is serious
Date: Tue, 20 May 2008 07:04:52 +0900 (JST)
On Mon, 19 May 2008 22:14:23 +0900 (JST), I wrote:

> On Sun, 18 May 2008 15:41:02 +0200, Andreas Metzler wrote:
> 
> > * The existance of lynx-cur-wrapper. This package makes the whole
> >   alternatives handling more complicated and I do not think it can
> >   be part of Debian at all. (481774 481778).
> 
> Please refer to
> http://lists.gnu.org/archive/html/lynx-dev/2007-04/msg00040.html
> this might explain something for you.

Sorry Andreas, I misunderstood your point.

You were talking about broken packaging and I think
one can say a package can not be part of Debian only
if a maintainer doesn't react to such bugs.

Regards,		      2008-5-20(Tue)

-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Information forwarded to debian-bugs-dist@lists.debian.org, warp@debian.org (Zephaniah E. Hull), Atsuhito KOHDA <kohda@debian.org>:
Bug#369386; Package lynx,lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
Extra info received and forwarded to list. Copy sent to warp@debian.org (Zephaniah E. Hull), Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #125 received at 369386@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@downhill.at.eu.org>
To: 369386@bugs.debian.org
Subject: Patch for rc-bugs in lynx-cur
Date: Sat, 28 Jun 2008 16:22:09 +0200
[Message part 1 (text/plain, inline)]
tags 369386 patch
tags 481774 patch
tags 481778 patch
tags 474928 patch
tags 474926 patch
thanks

Hello,

I have prepared a NMU/patch for lynx-cur fixing the rc-issues wit
respect to configuration file handling and replacement of lynx:

 lynx-cur (2.8.7dev9-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Remove local.cfg on purge instead of remove. Closes: #474928
   * Revamp handling of debconf managed configuration file local.cfg as
     described in debconf-devel(7).
     Closes: #474926
   * lynx-cur-wrapper: Simply ship the /etc/lynx-cur/lynx-??.cfg as dpkg
     conffiles instead of generating (and removing) them in the
     maintainerscripts. Closes: #481778,#481774
   * Add a dummy package lynx, which switches from lynx to lynx-cur. The old
     stable codebase (lynx) is deadm upstream suggest using the lynx-cur
     releases. Closes: #369386

Interdiff to 2.8.7dev9-1 is attached, complete packages on
<http://www.bebt.de/debian/lynx-cur/>.

Some explanations:
==================
* Remove local.cfg on purge instead of remove. Closes: #474928
Trivial change.

   * Revamp handling of debconf managed configuration file local.cfg as
     described in debconf-devel(7).
There is a extensive example on how to do this correctly in
debconf-devel(7), the suggested change follows the example quite
closely. Now direct changes (editor) of local.cfg are not overwritten
but even fed back into debconf.

   * lynx-cur-wrapper: Simply ship the /etc/lynx-cur/lynx-??.cfg as
     dpkg conffiles instead of generating (and removing) them in the
     maintainerscripts. Closes: #481778,#481774

This was a straightforward change. In my comments to 481778 I was wrong.

   * Add a dummy package lynx, which switches from lynx to lynx-cur. The old
     stable codebase (lynx) is deadm upstream suggest using the lynx-cur
     releases. Closes: #369386

We end up with a dummy package lynx that depends on lynx-cur. (I think
we should keep it permanently.) It should work correctly, lynx
configuration files are handled as good as possible on upgrades:

 - if they are not modified locally thy are simply removed.
 - Otherwise they are moved to /etc/lynx-cur/ *unless* the config
   files in _that_ directory already exist.

Uploading considerations:
=========================

Imho lynx 2.8.6-2.1 should propagate to testing before uploading this
change. (Should happen on Thursday). I am willing to NMU lynx-cur with
this patch, since people won't be too happy with lynx without SSL
suport in lenny.

cu andreas

-- 
`What a good friend you are to him, Dr. Maturin. His other friends are
so grateful to you.'
`I sew his ears on from time to time, sure'
[lynx-cur.NMU.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Andreas Metzler <ametzler@downhill.at.eu.org> to control@bugs.debian.org. (Sat, 28 Jun 2008 14:24:09 GMT) Full text and rfc822 format available.

Reply sent to Andreas Metzler <ametzler@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <jmm@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #132 received at 369386-close@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@debian.org>
To: 369386-close@bugs.debian.org
Subject: Bug#369386: fixed in lynx-cur 2.8.7dev9-1.1
Date: Sat, 05 Jul 2008 09:02:12 +0000
Source: lynx-cur
Source-Version: 2.8.7dev9-1.1

We believe that the bug you reported is fixed in the latest version of
lynx-cur, which is due to be installed in the Debian FTP archive:

lynx-cur-wrapper_2.8.7dev9-1.1_all.deb
  to pool/main/l/lynx-cur/lynx-cur-wrapper_2.8.7dev9-1.1_all.deb
lynx-cur_2.8.7dev9-1.1.diff.gz
  to pool/main/l/lynx-cur/lynx-cur_2.8.7dev9-1.1.diff.gz
lynx-cur_2.8.7dev9-1.1.dsc
  to pool/main/l/lynx-cur/lynx-cur_2.8.7dev9-1.1.dsc
lynx-cur_2.8.7dev9-1.1_i386.deb
  to pool/main/l/lynx-cur/lynx-cur_2.8.7dev9-1.1_i386.deb
lynx_2.8.7dev9-1.1_all.deb
  to pool/main/l/lynx-cur/lynx_2.8.7dev9-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 369386@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Metzler <ametzler@debian.org> (supplier of updated lynx-cur package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 05 Jul 2008 10:21:38 +0200
Source: lynx-cur
Binary: lynx-cur lynx-cur-wrapper lynx
Architecture: source all i386
Version: 2.8.7dev9-1.1
Distribution: unstable
Urgency: low
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Changed-By: Andreas Metzler <ametzler@debian.org>
Description: 
 lynx       - Text-mode WWW Browser (transitional package)
 lynx-cur   - Text-mode WWW Browser with NLS support (development version)
 lynx-cur-wrapper - Wrapper for lynx-cur
Closes: 369386 474926 474928 481774 481778
Changes: 
 lynx-cur (2.8.7dev9-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Remove local.cfg on purge instead of remove. Closes: #474928
   * Revamp handling of debconf managed configuration file local.cfg as
     described in debconf-devel(7).
     Closes: #474926
   * lynx-cur-wrapper: Simply ship the /etc/lynx-cur/lynx-??.cfg as dpkg
     conffiles instead of generating (and removing) them in the
     maintainerscripts. Closes: #481778,#481774
   * Add a dummy package lynx, which switches from lynx to lynx-cur. The old
     stable codebase (lynx) is dead; upstream suggest using the lynx-cur
     releases.
     Closes: #369386
   * lynx-cur does not provide lynx anymore. It is not completely necessary
     since the dummy package lynx pulls in lynx-cur. The provides broke
     upgrades from lynx (installed ok) lynx-cur (deinstall ok config-files).
Checksums-Sha1: 
 33080625de7b102127f70abb5bb74079791547a6 1194 lynx-cur_2.8.7dev9-1.1.dsc
 7056a5b694a5dc1b760c85793e1b808f3301cc94 27623 lynx-cur_2.8.7dev9-1.1.diff.gz
 030f82ad88d81bf2d42ab37aa48fe79e2e87e822 15846 lynx-cur-wrapper_2.8.7dev9-1.1_all.deb
 9dd6721fbee0a436ec10bd99834ccc3fcce6d04a 13372 lynx_2.8.7dev9-1.1_all.deb
 48979ffadf9c0f186c948c2c456850994de7c13e 2022404 lynx-cur_2.8.7dev9-1.1_i386.deb
Checksums-Sha256: 
 d14dc7857fd1d900b8ef7923e3dbc31a2f1d361a86e89fb697a9bb80fb5bca42 1194 lynx-cur_2.8.7dev9-1.1.dsc
 ed1f12ea12dd8b707546c1294da1a470854fdadaf2fee7cb9fac5587d9f09d95 27623 lynx-cur_2.8.7dev9-1.1.diff.gz
 fc3221c614fb96ce5b530988e36373b2929184e97b8fb64c0a6dffb3413fe8d9 15846 lynx-cur-wrapper_2.8.7dev9-1.1_all.deb
 c141b1a3d7ae4d77990b0d607db30a97ec85c020131d23e9c8fb74e59a774e72 13372 lynx_2.8.7dev9-1.1_all.deb
 f2599e470281e4a43915acb32bb6fc5426636e8efa762c6d5d2f98263116ef10 2022404 lynx-cur_2.8.7dev9-1.1_i386.deb
Files: 
 572b724719e312a1fa6e58c3cce746bf 1194 web extra lynx-cur_2.8.7dev9-1.1.dsc
 b3550aeb70949e4389bf757b60aa1e97 27623 web extra lynx-cur_2.8.7dev9-1.1.diff.gz
 75ecec36c3e4e8b2dda2435f22caf777 15846 web extra lynx-cur-wrapper_2.8.7dev9-1.1_all.deb
 5f65b0ff11140d4a4e89e5896af77530 13372 web extra lynx_2.8.7dev9-1.1_all.deb
 4dce87ce9bde6d6988ffc9df0fe3318b 2022404 web extra lynx-cur_2.8.7dev9-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIbzJbHTOcZYuNdmMRAmdxAJ9/yqSjlKEfZl2lBu5re70+3E8IvQCgo8S+
eTPPj7ykANf95R8BhFup3YE=
=zUzV
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#369386; Package lynx,lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #137 received at 369386@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: Andreas Metzler <ametzler@downhill.at.eu.org>, 369386@bugs.debian.org
Subject: Re: Bug#369386: Patch for rc-bugs in lynx-cur
Date: Thu, 10 Jul 2008 21:57:34 -0700
clone 369386 -1
retitle -1 lynx-cur should be called lynx; ditch lynx transition package
severity -1 important
thanks

On Sat, 28 Jun 2008, Andreas Metzler wrote:
> We end up with a dummy package lynx that depends on lynx-cur. (I think
> we should keep it permanently.) It should work correctly, lynx
> configuration files are handled as good as possible on upgrades:
> 
>  - if they are not modified locally thy are simply removed.
>  - Otherwise they are moved to /etc/lynx-cur/ *unless* the config
>    files in _that_ directory already exist.

Why do we need a lynx transition package which depends on a lynx-cur
package instead of just having a single lynx package?

Clearly we're not going to have another lynx package, and having
lynx-cur when we've never made a release of it seems silly.

Furthermore, the debconf prompt about the /etc/lynx configuration file
is just useless.


Don Armstrong

-- 
We cast this message into the cosmos. [...] We are trying to survive
our time so we may live into yours. We hope some day, having solved
the problems we face, to join a community of Galactic Civilizations.
This record represents our hope and our determination and our goodwill
in a vast and awesome universe.
 -- Jimmy Carter on the Voyager Golden Record

http://www.donarmstrong.com              http://rzlab.ucr.edu




Bug 369386 cloned as bug 490265. Request was from Don Armstrong <don@donarmstrong.com> to control@bugs.debian.org. (Fri, 11 Jul 2008 05:00:03 GMT) Full text and rfc822 format available.

Changed Bug title to `lynx-cur should be called lynx; ditch lynx transition package' from `Please work together on lynx and request the removal of lynx-cur'. Request was from Don Armstrong <don@donarmstrong.com> to control@bugs.debian.org. (Fri, 11 Jul 2008 05:00:05 GMT) Full text and rfc822 format available.

Severity set to `important' from `serious' Request was from Don Armstrong <don@donarmstrong.com> to control@bugs.debian.org. (Fri, 11 Jul 2008 05:00:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#490265; Package lynx,lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #148 received at 490265@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@downhill.at.eu.org>
To: 490265@bugs.debian.org
Subject: Re: Bug#369386: Patch for rc-bugs in lynx-cur
Date: Fri, 11 Jul 2008 12:53:11 +0200
On 2008-07-11 Don Armstrong <don@donarmstrong.com> wrote:
> clone 369386 -1
> retitle -1 lynx-cur should be called lynx; ditch lynx transition package
> severity -1 important
> thanks

Why is this "important"? It looks like a purely cosmetical question.
(minor or wishlist.)

> On Sat, 28 Jun 2008, Andreas Metzler wrote:
> > We end up with a dummy package lynx that depends on lynx-cur. (I think
> > we should keep it permanently.) It should work correctly, lynx
> > configuration files are handled as good as possible on upgrades:
> > 
> >  - if they are not modified locally thy are simply removed.
> >  - Otherwise they are moved to /etc/lynx-cur/ *unless* the config
> >    files in _that_ directory already exist.

> Why do we need a lynx transition package which depends on a lynx-cur
> package instead of just having a single lynx package?

We can either have a lynx package and a lynx-cur transition package or
the other way round if we want to provide upgrade path for users of
both packages. I chose the latter in the NMU since there did not seem
to be a strong preference for either by the lynx or the lynx-cur
maintainer.

Upgrading the lynx package to use 2.8.7dev9 sources would have been a
lot more disruptive, requiring bigger changes than providing a lynx
transtion package. (Mainly due to the existence of lynx-cur-wrapper.)
Not a thing to be done in a NMU imho. And I do not want to
adopt/hijack/maintain it.

> Clearly we're not going to have another lynx package, and having
> lynx-cur when we've never made a release of it seems silly.

> Furthermore, the debconf prompt about the /etc/lynx configuration file
> is just useless.

Indeed, that's #489485.

cu andreas
-- 
`What a good friend you are to him, Dr. Maturin. His other friends are
so grateful to you.'
`I sew his ears on from time to time, sure'




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#490265; Package lynx,lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #153 received at 490265@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: Andreas Metzler <ametzler@downhill.at.eu.org>, 490265@bugs.debian.org
Subject: Re: Bug#369386: Patch for rc-bugs in lynx-cur
Date: Mon, 14 Jul 2008 17:55:42 -0700
submitter 490265 !
reopen 490265
found 490265 2.8.7dev9-1.1
thanks

On Fri, 11 Jul 2008, Andreas Metzler wrote:
> On 2008-07-11 Don Armstrong <don@donarmstrong.com> wrote:
> > clone 369386 -1
> > retitle -1 lynx-cur should be called lynx; ditch lynx transition package
> > severity -1 important
> > thanks
> 
> Why is this "important"? It looks like a purely cosmetical question.
> (minor or wishlist.)

Because it's something that should be resolved prior to release, and
probably should even be RC. It certainly isn't the kind of breakage
that should be introduced in an NMU.

> > On Sat, 28 Jun 2008, Andreas Metzler wrote:
> > > We end up with a dummy package lynx that depends on lynx-cur. (I think
> > > we should keep it permanently.) It should work correctly, lynx
> > > configuration files are handled as good as possible on upgrades:
> > > 
> > >  - if they are not modified locally thy are simply removed.
> > >  - Otherwise they are moved to /etc/lynx-cur/ *unless* the config
> > >    files in _that_ directory already exist.
> 
> > Why do we need a lynx transition package which depends on a lynx-cur
> > package instead of just having a single lynx package?
> 
> We can either have a lynx package and a lynx-cur transition package
> or the other way round if we want to provide upgrade path for users
> of both packages.

We definetly don't need to release with the lynx-cur transition
package, since we've never released with it.[1] Furthermore, by
switching to lynx-cur, you instantly break local configurations in
/etc/lynx for no real gain.

> I chose the latter in the NMU since there did not seem to be a
> strong preference for either by the lynx or the lynx-cur maintainer.
>
> Upgrading the lynx package to use 2.8.7dev9 sources would have been
> a lot more disruptive, requiring bigger changes than providing a
> lynx transtion package. (Mainly due to the existence of
> lynx-cur-wrapper.) Not a thing to be done in a NMU imho. And I do
> not want to adopt/hijack/maintain it.

By uploading a lynx binary package which was a transition, you *did*
effectively hijack the lynx package, whether you meant to or not. It's
certainly not Kohda's responsibility to deal with any of the breakage
resulting.

This is the sort of change that should not be made in an NMU without
the explicit blessing of the maintainer of both packages concerned
unless you plan on hijacking, adopting, or being seriously involved in
the maintenance of both.

At the same time that such an upload is made, a request for removal of
the lynx-cur or lynx package should also have been made, coupled with
the triaging and possible reassignment of lynx-cur or lynx bugs to the
new set of binary packages.


Don Armstrong

1: Transitioning in unstable would be nice, but it's certainly not
required, and could easily be handled by a tiny source stub package
which did not transition.
-- 
J.W. Grant: "Bastard!"
Rico: "Yes, Sir. In my case, an accident of birth. But you, Sir,
you're a self-made man."
 -- Henry "Rico" Fardan in "The Professionals"

http://www.donarmstrong.com              http://rzlab.ucr.edu




Changed Bug submitter from Moritz Muehlenhoff <jmm@debian.org> to Don Armstrong <don@donarmstrong.com>. Request was from Don Armstrong <don@donarmstrong.com> to control@bugs.debian.org. (Tue, 15 Jul 2008 01:15:05 GMT) Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Don Armstrong <don@donarmstrong.com> to control@bugs.debian.org. (Tue, 15 Jul 2008 01:15:06 GMT) Full text and rfc822 format available.

Bug marked as found in version 2.8.7dev9-1.1. Request was from Don Armstrong <don@donarmstrong.com> to control@bugs.debian.org. (Tue, 15 Jul 2008 01:15:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#490265; Package lynx,lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #164 received at 490265@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: don@donarmstrong.com, 490265@bugs.debian.org
Cc: ametzler@downhill.at.eu.org
Subject: Re: Bug#490265: Bug#369386: Patch for rc-bugs in lynx-cur
Date: Tue, 15 Jul 2008 13:17:01 +0900 (JST)
Hi Don and Andreas,

On Mon, 14 Jul 2008 17:55:42 -0700, Don Armstrong wrote:

> > Why is this "important"? It looks like a purely cosmetical question.
> > (minor or wishlist.)
> 
> Because it's something that should be resolved prior to release, and
> probably should even be RC. It certainly isn't the kind of breakage
> that should be introduced in an NMU.

I don't know it is acceptable for you or not but, personally,
I prefer lynx-cur because there are two branches of lynx
in the upstream and the development version is called lynx-cur
by the upstream.  The name lynx-cur explicitly expresses 
that it is the developement version instead of stable version.

> By uploading a lynx binary package which was a transition, you *did*
> effectively hijack the lynx package, whether you meant to or not. It's
> certainly not Kohda's responsibility to deal with any of the breakage
> resulting.

I suspect Andreas might only respect my desire.  
Don, I don't know how you read this thread carefully or not 
and it is rather difficult for me to explain full story in 
short but, at least, I accept Andreas' NMU with pleasure.
Further, it is an examination period in Univ. of Japan and 
untill the middle of August, I'll have almost no time to maintain
the package.

> This is the sort of change that should not be made in an NMU without
> the explicit blessing of the maintainer of both packages concerned
> unless you plan on hijacking, adopting, or being seriously involved in
> the maintenance of both.

I think Andreas is seriously involved in the the maintenance
of both, much more seriously than the present maintainers.
(sorry on my part, but as I explained above.)

> At the same time that such an upload is made, a request for removal of
> the lynx-cur or lynx package should also have been made, coupled with
> the triaging and possible reassignment of lynx-cur or lynx bugs to the
> new set of binary packages.

But I think the situation looks too ambiguous yet.

Regards,				2008-7-15(Tue)

-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#490265; Package lynx,lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #169 received at 490265@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: 490265@bugs.debian.org, ametzler@downhill.at.eu.org
Subject: Re: Bug#490265: Bug#369386: Patch for rc-bugs in lynx-cur
Date: Mon, 14 Jul 2008 22:11:23 -0700
On Tue, 15 Jul 2008, Atsuhito Kohda wrote:
> On Mon, 14 Jul 2008 17:55:42 -0700, Don Armstrong wrote:
> 
> > > Why is this "important"? It looks like a purely cosmetical question.
> > > (minor or wishlist.)
> > 
> > Because it's something that should be resolved prior to release, and
> > probably should even be RC. It certainly isn't the kind of breakage
> > that should be introduced in an NMU.
> 
> I don't know it is acceptable for you or not but, personally, I
> prefer lynx-cur because there are two branches of lynx in the
> upstream and the development version is called lynx-cur by the
> upstream. The name lynx-cur explicitly expresses that it is the
> developement version instead of stable version.

It's your decision, but are you sure that you want to take on the
repsonsibility of maintaining a development release of lynx throughout
a stable release cycle instead of the stable release of lynx?

I can't speak for the security team, but I'd be rather suprised if
they'd be willing to support a development version in favor of a
stable version of lynx.

From where I sit, it seems like the wrong solution to #369386 was
reached; lynx-cur should have an RC bug against it, but that RC bug
should exist only to keep lynx-cur to transition to testing and then
being released. A second lynx package should exist which is the most
recent stable release of the lynx tree. [This situtation already
exists for numerous -snapshot packages which should never be released
with a Debian stable release.]

An alternative possibility exists that the -cur release is actually
the version that upstream plans on having long-term support for, and
the lynx version is just for legacy users, but the bug thread (which I
read) doesn't make this point clear.


Don Armstrong

-- 
NASCAR is a Yankee conspiracy to keep you all placated so the South
won't rise again.
 -- http://www.questionablecontent.net/view.php?comic=327

http://www.donarmstrong.com              http://rzlab.ucr.edu




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#490265; Package lynx,lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #174 received at 490265@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: don@donarmstrong.com, 490265@bugs.debian.org
Cc: ametzler@downhill.at.eu.org
Subject: Re: Bug#490265: Bug#369386: Patch for rc-bugs in lynx-cur
Date: Tue, 15 Jul 2008 15:45:12 +0900 (JST)
Hi Don,

On Mon, 14 Jul 2008 22:11:23 -0700, Don Armstrong wrote:

> It's your decision, but are you sure that you want to take on the
> repsonsibility of maintaining a development release of lynx throughout
> a stable release cycle instead of the stable release of lynx?

Yes, it is not something like -snapshot but, at least recently,
it is what you guessed as alternative possibiliry;

> An alternative possibility exists that the -cur release is actually
> the version that upstream plans on having long-term support for, and
> the lynx version is just for legacy users, but the bug thread (which I
> read) doesn't make this point clear.

So, from the same reason,

> I can't speak for the security team, but I'd be rather suprised if
> they'd be willing to support a development version in favor of a
> stable version of lynx.

it will be easier for our security team to support lynx-cur
than a stable lynx.

Regards,			2008-7-15(Tue)

-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#490265; Package lynx,lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #179 received at 490265@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: 490265@bugs.debian.org, ametzler@downhill.at.eu.org
Subject: Re: Bug#490265: Bug#369386: Patch for rc-bugs in lynx-cur
Date: Tue, 15 Jul 2008 00:01:17 -0700
On Tue, 15 Jul 2008, Atsuhito Kohda wrote:
> On Mon, 14 Jul 2008 22:11:23 -0700, Don Armstrong wrote:
> 
> > It's your decision, but are you sure that you want to take on the
> > repsonsibility of maintaining a development release of lynx throughout
> > a stable release cycle instead of the stable release of lynx?
> 
> Yes, it is not something like -snapshot but, at least recently,
> it is what you guessed as alternative possibiliry;
> 
> > An alternative possibility exists that the -cur release is actually
> > the version that upstream plans on having long-term support for, and
> > the lynx version is just for legacy users, but the bug thread (which I
> > read) doesn't make this point clear.

This certainly doesn't match up with the information that's available
on their website, especially considering that 2.8.6 is their release
version, they're iterating new development releases every 3-6 months
which will eventually be released at 2.9 or 2.8.7.
 
> So, from the same reason,
> 
> > I can't speak for the security team, but I'd be rather suprised if
> > they'd be willing to support a development version in favor of a
> > stable version of lynx.
> 
> it will be easier for our security team to support lynx-cur than a
> stable lynx.

So whatever development version we release with you'll be putting in
the effort to backport patches to it, even if we're the only
distribution who happens to be distributing that release, and you're
willing to track it for a full release cycle? (Three years?)



Don Armstrong

-- 
Information wants to be free to kill again.
 -- Red Robot http://www.dieselsweeties.com/archive.php?s=1372

http://www.donarmstrong.com              http://rzlab.ucr.edu




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#490265; Package lynx,lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #184 received at 490265@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: don@donarmstrong.com, 490265@bugs.debian.org
Cc: ametzler@downhill.at.eu.org
Subject: Re: Bug#490265: Bug#369386: Patch for rc-bugs in lynx-cur
Date: Tue, 15 Jul 2008 17:20:32 +0900 (JST)
On Tue, 15 Jul 2008 00:01:17 -0700, Don Armstrong wrote:

> This certainly doesn't match up with the information that's available
> on their website, especially considering that 2.8.6 is their release
> version, they're iterating new development releases every 3-6 months
> which will eventually be released at 2.9 or 2.8.7.

Hmm, not a weekly-release.

> So whatever development version we release with you'll be putting in
> the effort to backport patches to it, even if we're the only
> distribution who happens to be distributing that release, and you're
> willing to track it for a full release cycle? (Three years?)

In the first place, as a volunteer, there is no warranty.
I'm not sure what you mean but it seems lynx in Debian/etch 
is of 2.8.5 but it is of 2.8.6 in Gentoo, OpenSuse as I checked 
on my VirtualBox.

It is not so much sense to argue possibility but I'm afraid
Debian's release period is generally so long that the possibility
you mentioned could happen more likely with a stable version.

Regards,      	    	   	2008-7-15(Tue)

-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#490265; Package lynx,lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #189 received at 490265@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: 490265@bugs.debian.org, ametzler@downhill.at.eu.org
Subject: Re: Bug#490265: Bug#369386: Patch for rc-bugs in lynx-cur
Date: Tue, 15 Jul 2008 01:58:08 -0700
On Tue, 15 Jul 2008, Atsuhito Kohda wrote:
> On Tue, 15 Jul 2008 00:01:17 -0700, Don Armstrong wrote:
> > > This certainly doesn't match up with the information that's available
> > on their website, especially considering that 2.8.6 is their release
> > version, they're iterating new development releases every 3-6 months
> > which will eventually be released at 2.9 or 2.8.7.
> 
> Hmm, not a weekly-release.

Right.

> > So whatever development version we release with you'll be putting
> > in the effort to backport patches to it, even if we're the only
> > distribution who happens to be distributing that release, and
> > you're willing to track it for a full release cycle? (Three
> > years?)
> 
> In the first place, as a volunteer, there is no warranty.

Right.

> I'm not sure what you mean but it seems lynx in Debian/etch is of
> 2.8.5 but it is of 2.8.6 in Gentoo, OpenSuse as I checked on my
> VirtualBox.

Yeah, I definetly agree that we should be releasing 2.8.6, not the old
version of lynx that we were.

> It is not so much sense to argue possibility but I'm afraid Debian's
> release period is generally so long that the possibility you
> mentioned could happen more likely with a stable version.

That's your call to make, possibly with the consultation of the stable
security team. If it were me, I'd personally be very nervous about
having to support a development version that no other distribution
would be using, and that upstream never actually released as a stable
release. I'd have to carefully weigh the frequency of security
vulnerabilities with the time necessary to backport the security fix
from the upstream development code against my time availability in the
future.

I cloned and reopened this bug primarily because it wasn't obvious
that the above had been done, and the log didn't spell this out; the
few things in the log also didn't mesh with the information that was
in the upstream web pages. [Though I didn't check with upstream
themselves, so.]

Anyway, feel free to close this bug report if you feel that the above
has been weighed, and that you've contemplated the concerns that I
have.


Don Armstrong

-- 
Dropping non-free would set us back at least, what, 300 packages? It'd
take MONTHS to make up the difference, and meanwhile Debian users will
be fleeing to SLACKWARE.

And what about SHAREHOLDER VALUE? 
 -- Matt Zimmerman in <gYuD3D.A.ayC.nGB39@murphy>

http://www.donarmstrong.com              http://rzlab.ucr.edu




Reply sent to Atsuhito KOHDA <kohda@debian.org>:
You have taken responsibility. (Thu, 26 Aug 2010 07:42:14 GMT) Full text and rfc822 format available.

Notification sent to Don Armstrong <don@donarmstrong.com>:
Bug acknowledged by developer. (Thu, 26 Aug 2010 07:42:15 GMT) Full text and rfc822 format available.

Message #194 received at 490265-close@bugs.debian.org (full text, mbox):

From: Atsuhito KOHDA <kohda@debian.org>
To: 490265-close@bugs.debian.org
Subject: Bug#490265: fixed in lynx-cur 2.8.8dev.5-1
Date: Thu, 26 Aug 2010 07:32:10 +0000
Source: lynx-cur
Source-Version: 2.8.8dev.5-1

We believe that the bug you reported is fixed in the latest version of
lynx-cur, which is due to be installed in the Debian FTP archive:

lynx-cur-wrapper_2.8.8dev.5-1_all.deb
  to main/l/lynx-cur/lynx-cur-wrapper_2.8.8dev.5-1_all.deb
lynx-cur_2.8.8dev.5-1.diff.gz
  to main/l/lynx-cur/lynx-cur_2.8.8dev.5-1.diff.gz
lynx-cur_2.8.8dev.5-1.dsc
  to main/l/lynx-cur/lynx-cur_2.8.8dev.5-1.dsc
lynx-cur_2.8.8dev.5-1_i386.deb
  to main/l/lynx-cur/lynx-cur_2.8.8dev.5-1_i386.deb
lynx-cur_2.8.8dev.5.orig.tar.gz
  to main/l/lynx-cur/lynx-cur_2.8.8dev.5.orig.tar.gz
lynx_2.8.8dev.5-1_all.deb
  to main/l/lynx-cur/lynx_2.8.8dev.5-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 490265@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Atsuhito KOHDA <kohda@debian.org> (supplier of updated lynx-cur package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 26 Aug 2010 09:50:33 +0900
Source: lynx-cur
Binary: lynx-cur lynx-cur-wrapper lynx
Architecture: source all i386
Version: 2.8.8dev.5-1
Distribution: unstable
Urgency: high
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Changed-By: Atsuhito KOHDA <kohda@debian.org>
Description: 
 lynx       - Text-mode WWW Browser (transitional package)
 lynx-cur   - Text-mode WWW Browser with NLS support (development version)
 lynx-cur-wrapper - Wrapper for lynx-cur
Closes: 489360 490265 575922 592718 594300
Changes: 
 lynx-cur (2.8.8dev.5-1) unstable; urgency=high
 .
   * New upstream release.  This should fix a security bug so urgency=high.
   * Fixed a security bug, CVE-2010-2810  (Closes: #594300)
   * A fix for #592078 with patch-3 is not necessary so removed it.
   * Some bugs forgotten to be closed.
    - unable to reproduce. (Closes: #575922)
    - a problem of gnutls. (Closes: #592718)
    - if necessary, please reopen. (Closes: #490265)
    - only a report of a patch for 2.8.7dev9-1.1 (Closes: #489360)
Checksums-Sha1: 
 860d7c7e87cb4f9b3dc74e4ccb1ae3f1cb56d646 1181 lynx-cur_2.8.8dev.5-1.dsc
 3ac9ca1cb38f8d380828e9fd4efce2b8e972dccf 3451625 lynx-cur_2.8.8dev.5.orig.tar.gz
 3265b377743620d4b428d2da67e377b8e3b6cc98 31898 lynx-cur_2.8.8dev.5-1.diff.gz
 17633e1ce71deb92a2012428ed455623dec38736 219948 lynx-cur-wrapper_2.8.8dev.5-1_all.deb
 359ebd078fdd742df42636bd7a2fb088cd00229f 217418 lynx_2.8.8dev.5-1_all.deb
 080d9cb862d77f0e76ec8809081b3931f3b6a91c 2114860 lynx-cur_2.8.8dev.5-1_i386.deb
Checksums-Sha256: 
 d000fe5cfb0e8405a7729eafc696cc8b17291570ed48670e2ecf23d437905aa4 1181 lynx-cur_2.8.8dev.5-1.dsc
 d2fe593505d7f33f46f5a9ae20ee2e55bbbb614fabeaac7e88e2a75c5f859586 3451625 lynx-cur_2.8.8dev.5.orig.tar.gz
 2247d9e01a0b25b7fec2523941f66f47a90e98ca4a25c56449d86d057195eda5 31898 lynx-cur_2.8.8dev.5-1.diff.gz
 52ada74577c7bb88ffe5f1bf54b26d32f15c90dde04e971cd7490a02ce2828e3 219948 lynx-cur-wrapper_2.8.8dev.5-1_all.deb
 c8fb1fbcf083b0b10e45dcb177826e394acc57019d8b31bcd667a13548009050 217418 lynx_2.8.8dev.5-1_all.deb
 026f132aec4b38dcf8d44f6855c4ad0e7c3a6b44761cd2aa28dd5d1af2686465 2114860 lynx-cur_2.8.8dev.5-1_i386.deb
Files: 
 33a6b6f3101ec76972d175cb34c6ca09 1181 web extra lynx-cur_2.8.8dev.5-1.dsc
 c565ee195d3a9d331f27dcd1f52f5922 3451625 web extra lynx-cur_2.8.8dev.5.orig.tar.gz
 f2a8969c74f63777fb517986542c1444 31898 web extra lynx-cur_2.8.8dev.5-1.diff.gz
 08e9f964af87a40339d5744909c3a14a 219948 web extra lynx-cur-wrapper_2.8.8dev.5-1_all.deb
 5f29cd3762c18dce5c9729f969e8af65 217418 web extra lynx_2.8.8dev.5-1_all.deb
 9a0e416b640d65faa8de90244ab0cf13 2114860 web extra lynx-cur_2.8.8dev.5-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkx18hoACgkQ1IXdL1v6kOwKoACfblkdFfTupm1nIE6gheUMeO7p
vuwAoJS4jm0YX0tbqWYClUse7Rz9BeZi
=WiE5
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#490265; Package lynx,lynx-cur. (Fri, 27 Aug 2010 00:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Fri, 27 Aug 2010 00:21:05 GMT) Full text and rfc822 format available.

Message #199 received at 490265@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: 490265@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#490265 closed by Atsuhito KOHDA <kohda@debian.org> (Bug#490265: fixed in lynx-cur 2.8.8dev.5-1)
Date: Thu, 26 Aug 2010 17:16:49 -0700
found 490265 2.8.8dev.5-1
severity 490265 wishlist
thanks

On Thu, 26 Aug 2010, Debian Bug Tracking System wrote:
>    * Some bugs forgotten to be closed.
>     - unable to reproduce. (Closes: #575922)
>     - a problem of gnutls. (Closes: #592718)
>     - if necessary, please reopen. (Closes: #490265)
>     - only a report of a patch for 2.8.7dev9-1.1 (Closes: #489360)

I really think we should ditch the lynx-cur package, and just call it
lynx; reopening and degrading the severity to indicate as such.

Secondly, this is not the way that you close bugs that you've
forgotten to close. Send messages to -done with an explanation of why
they should be closed.



Don Armstrong

-- 
I really wanted to talk to her.
I just couldn't find an algorithm that fit.
 -- Peter Watts _Blindsight_ p294

http://www.donarmstrong.com              http://rzlab.ucr.edu




Bug Marked as found in versions lynx-cur/2.8.8dev.5-1; no longer marked as fixed in versions lynx-cur/2.8.8dev.5-1 and reopened. Request was from Don Armstrong <don@donarmstrong.com> to control@bugs.debian.org. (Fri, 27 Aug 2010 00:21:08 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'important' Request was from Don Armstrong <don@donarmstrong.com> to control@bugs.debian.org. (Fri, 27 Aug 2010 00:21:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#490265; Package lynx,lynx-cur. (Wed, 01 Sep 2010 00:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Wed, 01 Sep 2010 00:30:03 GMT) Full text and rfc822 format available.

Message #208 received at 490265@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: don@donarmstrong.com, 490265@bugs.debian.org
Subject: Re: Bug#490265: closed by Atsuhito KOHDA <kohda@debian.org> (Bug#490265: fixed in lynx-cur 2.8.8dev.5-1)
Date: Wed, 01 Sep 2010 08:57:30 +0900 (JST)
Hi Don, sorry for a delay.

On Thu, 26 Aug 2010 17:16:49 -0700, Don Armstrong wrote:

> I really think we should ditch the lynx-cur package, and just call it
> lynx; reopening and degrading the severity to indicate as such.

Okay.

> Secondly, this is not the way that you close bugs that you've
> forgotten to close. Send messages to -done with an explanation of why
> they should be closed.

Yes,I got an email from another DD which claimed almost 
the same thing as you did.
In case of this bug, I closed the bug simply because I noticed
a sentence: "Anyway, feel free to close this bug report" 
in your report but I might overlooked the sentence
"if you feel that the above
has been weighed, and that you've contemplated the concerns that I
have." following the above.

I guessed there were no need to explain why they were closed
because they were all trivial.

Best regards,			2010-9-1(Wed)

-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#490265; Package lynx,lynx-cur. (Wed, 01 Sep 2010 00:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Wed, 01 Sep 2010 00:51:03 GMT) Full text and rfc822 format available.

Message #213 received at 490265@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 490265@bugs.debian.org
Subject: Re: Bug#490265: closed by Atsuhito KOHDA <kohda@debian.org> (Bug#490265: fixed in lynx-cur 2.8.8dev.5-1)
Date: Tue, 31 Aug 2010 17:46:45 -0700
tag 490265 - patch
thanks

On Wed, 01 Sep 2010, Atsuhito Kohda wrote:
> On Thu, 26 Aug 2010 17:16:49 -0700, Don Armstrong wrote:
> > I really think we should ditch the lynx-cur package, and just call
> > it lynx; reopening and degrading the severity to indicate as such.
> 
> Okay.
> 
> > Secondly, this is not the way that you close bugs that you've
> > forgotten to close. Send messages to -done with an explanation of
> > why they should be closed.
> 
> Yes,I got an email from another DD which claimed almost the same
> thing as you did.

Yerp; see the Developers Reference ยง5.8.4:

http://www.debian.org/doc/developers-reference/pkgs.html#upload-bugfix

> In case of this bug, I closed the bug simply because I noticed a
> sentence: "Anyway, feel free to close this bug report" in your
> report but I might overlooked the sentence "if you feel that the
> above has been weighed, and that you've contemplated the concerns
> that I have." following the above.
> 
> I guessed there were no need to explain why they were closed
> because they were all trivial.

Well, a single one line explanation to -done is generally sufficient.
In my case (and in the case of other developers) it's less of a
problem, because we can read between the lines... but users won't know
why their bug was closed unless you tell them specifically.

Just to reiterate my suggestion:

Plan to keep lynx transition package in future?
 Yes: Rename lynx-cur to lynx, stop distributing lynx-cur
  No: Retitle bug; remove lynx transition package after squeeze.

FWICT, there's no one who is planning on distributing a "stable
release" of lynx (and furthermore, they cannot, as long as the lynx
transition package exists), so one of the two above things should be
done.


Don Armstrong

-- 
a friend will help you move
a best friend will help you move bodies
but if you have to move your best friend's body
you're on your own
 -- a softer world #242
    http://www.asofterworld.com/index.php?id=242

http://www.donarmstrong.com              http://rzlab.ucr.edu




Removed tag(s) patch. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Wed, 01 Sep 2010 00:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#490265; Package lynx,lynx-cur. (Sat, 01 Jun 2013 16:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin B Rye <justin.byam.rye@gmail.com>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Sat, 01 Jun 2013 16:00:04 GMT) Full text and rfc822 format available.

Message #220 received at 490265@bugs.debian.org (full text, mbox):

From: Justin B Rye <justin.byam.rye@gmail.com>
To: 490265@bugs.debian.org
Subject: package name should be lynx (Re: Bug#490265)
Date: Sat, 1 Jun 2013 16:56:55 +0100
Please go ahead and rename the package "lynx-cur" to "lynx".

There is only one package in Debian providing a /usr/bin/lynx
executable; users should be able to find the description for that
package by asking for "apt-cache show lynx".  Users should *not* need
to know ancient history about the packaging of different upstream
branches of lynx just to find the package's name!

Back in 2010, Don Armstrong wrote:
> Atsuhito Kohda wrote:
>> Don Armstrong wrote:
>>> I really think we should ditch the lynx-cur package, and just call
>>> it lynx; reopening and degrading the severity to indicate as such.
>> 
>> Okay.
>>
[...]
> 
> Just to reiterate my suggestion:
> 
> Plan to keep lynx transition package in future?
>  Yes: Rename lynx-cur to lynx, stop distributing lynx-cur
>   No: Retitle bug; remove lynx transition package after squeeze.
> 
> FWICT, there's no one who is planning on distributing a "stable
> release" of lynx (and furthermore, they cannot, as long as the lynx
> transition package exists), so one of the two above things should be
> done.

Three releases ago when "lynx" was made an empty transition package
pointing at "lynx-cur", that naming was immediately recognised as a
mistake, and there's no sign in the bug log of anybody ever suggesting
any sort of justification for leaving it unfixed.  You even replied to
Don's proposal with an "Okay".  So what are you waiting for?

Please go ahead and rename the package "lynx-cur" to "lynx".
-- 
JBR	with qualifications in linguistics, experience as a Debian
	sysadmin, and probably no clue about this particular package



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:27:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.